/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    gap: 0;
    box-sizing: border-box;
    user-select: none;
}

hr {
    border: none;
}

li {
    list-style: none;
}

a {
    color: black;
    text-decoration: none;
}

button {
    border: none;
    background: none;
}

img {
    -webkit-user-drag: none;
}




/* ================ Global ================ */
h1, h2, h3 {
    color: hsl(0, 0%, 5%);
    font-family: system-ui;
}

li, p, a {
    color: hsl(0, 0%, 5%);
    font-family: system-ui;
    font-weight: 500;
}

button {
    cursor: pointer;
}

img, video {
    max-width: 100%;
}

video {
    cursor: pointer;
}




/* ============================================ */
/* ================ Background ================ */
/* ============================================ */
html {
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
}

body::before {
    content: '';
    position: fixed;
    inset: 0;
    z-index: -1;
    background: linear-gradient(45deg, hsl(0, 0%, 90%), hsl(0, 0%, 97%));
}




/* ======================================== */
/* ================ Header ================ */
/* ======================================== */

header div {
    display: flex;
    justify-content: center;
    align-items: center;

    /* background-color: MediumPurple; */
    /* background-color: RebeccaPurple; */
    /* background-color: BlueViolet; */
    /* background-color: DarkViolet; */
    /* background-color: DarkOrchid; */
    /* background-color: DarkMagenta; */
    /* background-color: Purple; */
    /* background-color: SlateBlue; */
    /* background-color: DarkSlateBlue; */
    /* background-color: MediumSlateBlue; */

    background: linear-gradient(hsl(300, 100%, 27%), hsl(300, 100%, 22%));
    height: 70px;
}

header h1 {
    color: white;
    margin-top: -5px;
    text-shadow: hsl(0, 0%, 0%, 25%) 0 0 12px;
}

header hr {
    /* height: 1px; */
    /* background: white; */
}



/* ================ Navbar ================ */
nav {
    position: sticky;
    top: 0;
    z-index: 2;
    /* background-color: white; */
    background: linear-gradient(to right, hsl(0, 0%, 92%), hsl(0, 0%, 96%));
    box-shadow: hsl(0, 0%, 0%, 11%) 0 4px 5px;
}

nav ul {
    overflow: hidden;
    display: flex;
    align-items: center;
    margin: auto;
    max-width: 1080px;
    height: 25px;
    padding-left: 12px;
}

nav a {
    white-space: nowrap;
    /* color: white; */
    margin-right: 15px;
}

nav a:hover {
    color: goldenrod;
}



/* ================ Carrousel ================ */
.carrousel {
    position: fixed;
    z-index: 2;
    top: 50%;

    font-weight: bolder;
    border-radius: 15px;
    width:  30px;
    height: 30px;

    color: white;
    background-color: hsl(300, 66%, 33%);
    box-shadow: hsl(0, 0%, 0%, 12%) 0 0 10px;
}

.carrousel:hover {
    background-color: hsl(300, 66%, 38%);
}

.carrousel#prev { left:  10px; }
.carrousel#next { right: 10px; }




/* ====================================== */
/* ================ Main ================ */
/* ====================================== */
main {
    margin: auto;
    max-width: 1080px;
    min-height: 100vh;
    padding-top:    30px;
    padding-left:   10px;
    padding-right:  10px;
    padding-bottom: 50px;
}




/* ================ Sections ================ */
section {
    border-radius: 5px;
    /* background: hsl(0, 0%, 95%); */
    background: linear-gradient(45deg, hsl(0, 0%, 95%), hsl(0, 0%, 99%));
    box-shadow: rgb(0, 0, 0, 0.08) 0 0 13px;
}

section h2, section h3 {
    display: flex;
    align-items: center;
    /* justify-content: center; */
    /* text-align: center; */
    padding-top:    8px;
    padding-left:  15px;
    padding-bottom: 3px;
    /* height: 35px; */
    text-shadow: white 0 0 15px;
}




/* ================ Containers ================ */
section div, section ul {
    padding-top:     8px;
    padding-left:   12px;
    padding-right:  12px;
    padding-bottom: 18px;
}



/* ========================================= */
/* ================ Customs ================ */
/* ========================================= */

/* ================ Bio ================ */
#bio li {
    text-shadow: white 0 0 10px;
}

#bio ul a {
    color: darkgoldenrod;
}

#bio ul a:hover {
    color: goldenrod;
}



/* ================ Medias ================ */
.medias {
    margin-top: 30px;
}

.medias div {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* column-count: 3; */
    column-gap: 10px;
    row-gap:    10px;
}

.medias div img {
    object-fit: cover;
    max-width:  100%;
    height:     100%;
    /* margin-bottom: 10px; */
}

.medias div video {
    object-fit: cover;
    aspect-ratio: 2/3;
}


/* ================ Profiles ================ */
.profiles {
    margin-top: 55px;
}


.profiles div {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 10px;
    row-gap: 10px;
}


.profiles a {
    overflow: hidden;
    position: relative;
    border-radius: 5px;
    transition: 80ms;
}

.profiles a:hover {
    box-shadow: rgba(0, 0, 0, 0.15) 0 0 13px;
}

.profiles a:hover img {
    filter: brightness(1.10);
}


.profiles p {
    white-space: nowrap;
    position: absolute;
    color: white;
    background: black;
    z-index: 1;
    opacity: 0.80;
    padding-top:    3px;
    padding-left:   5px;
    padding-right:  5px;
    padding-bottom: 3px;
}

.profiles img {
    object-fit: cover;
    max-width:  100%;
    height:     100%;
    aspect-ratio: 2/3;
    transition: 80ms;
}





/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */

/* ================ Navigation ================ */
#gohead {
    position: fixed;
    bottom: 25px;
    right:  25px;

    border-radius: 15px;
    width:  30px;
    height: 30px;
    /* background: hsl(43, 66%, 60%); */
    box-shadow: hsl(0, 0%, 0%, 20%) 0 0 10px;
    background-color: hsl(300, 66%, 30%);
}

#gohead:hover {
    background-color: hsl(300, 66%, 35%);
}

#gohead p {
    color: white;
    font-size: 15px;
    margin-top: -5px;
}



/* ================ Footer ================ */
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(hsl(300, 100%, 27%), hsl(300, 100%, 22%));
    height: 90px;
    box-shadow: hsl(0, 0%, 0%, 75%) 0 0 15px;
}

footer h1 {
    color: white;
    text-shadow: hsl(0, 0%, 0%, 33%) 0 0 12px;
}